<!DOCTYPE HTML PUBLIC "-//W3O//DTD W3 HTML 2.0//EN">
<!-- This collection of hypertext pages is Copyright 1995, 1996 by Steve Summit. -->
<!-- This material may be freely redistributed and used -->
<!-- but may not be republished or sold without permission. -->
<html>
<head>
<link rev="owner" href="mailto:scs@eskimo.com">
<link rev="made" href="mailto:scs@eskimo.com">
<title>Preface</title>
<link href="top.html" rev=precedes>
<link href="sx2.html" rel=precedes>
<link href="top.html" rev=subdocument>
</head>
<body>
<H1>Preface</H1>

page ix
<p>You'll get some hint here that C has become a bit more formal 
as it has ``grown up.''
That formality is appropriate,
and for the second edition of K&amp;R to acknowledge it is 
appropriate,
and for any modern course in C programming to teach it is 
appropriate.
Personally, I learned C before it had become quite so 
formalized, and occasionally my traditional biases will leak 
through.
I'll try to admit it when they do.
</p><p>As the authors note,
C is a relatively small language,
but one which
(to
its admirers, anyway)
wears well.
C's small, unambitious feature set is a real advantage:
there's less to learn;
there isn't excess baggage in the way when you don't need it.
It can also be a disadvantage:
since it doesn't do everything for you,
there's a lot you have to do yourself.
(Actually, this is viewed by many as an additional advantage:
anything the language doesn't do for you,
it doesn't dictate to you, either,
so you're free to do that something however you want.)
</p><hr>
<p>
Read sequentially:
<a href="top.html" rev=precedes>prev</a>
<a href="sx2.html" rel=precedes>next</a>
<a href="top.html" rev=subdocument>up</a>
<a href="top.html">top</a>
</p>
<p>
This page by <a href="http://www.eskimo.com/~scs/">Steve Summit</a>
// <a href="copyright.html">Copyright</a> 1995, 1996
// <a href="mailto:scs@eskimo.com">mail feedback</a>
</p>
</body>
</html>
